Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network194.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
194.0.0.0
Broadcast address
194.255.255.255
First usable
194.0.0.1
Last usable
194.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex C2000000 · Integer 3254779904 to 3271557119
Reverse DNS zone
194.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000010..00000000.00000000.00000000194.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11000010..00000000.00000000.00000000194.0.0.0
Broadcast11000010..11111111.11111111.11111111194.255.255.255
Split into smaller subnets/16

194.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1194.0.0.0/16194.0.0.1 to 194.0.255.254194.0.255.25565,534
2194.1.0.0/16194.1.0.1 to 194.1.255.254194.1.255.25565,534
3194.2.0.0/16194.2.0.1 to 194.2.255.254194.2.255.25565,534
4194.3.0.0/16194.3.0.1 to 194.3.255.254194.3.255.25565,534
5194.4.0.0/16194.4.0.1 to 194.4.255.254194.4.255.25565,534
6194.5.0.0/16194.5.0.1 to 194.5.255.254194.5.255.25565,534
7194.6.0.0/16194.6.0.1 to 194.6.255.254194.6.255.25565,534
8194.7.0.0/16194.7.0.1 to 194.7.255.254194.7.255.25565,534
9194.8.0.0/16194.8.0.1 to 194.8.255.254194.8.255.25565,534
10194.9.0.0/16194.9.0.1 to 194.9.255.254194.9.255.25565,534
11194.10.0.0/16194.10.0.1 to 194.10.255.254194.10.255.25565,534
12194.11.0.0/16194.11.0.1 to 194.11.255.254194.11.255.25565,534
13194.12.0.0/16194.12.0.1 to 194.12.255.254194.12.255.25565,534
14194.13.0.0/16194.13.0.1 to 194.13.255.254194.13.255.25565,534
15194.14.0.0/16194.14.0.1 to 194.14.255.254194.14.255.25565,534
16194.15.0.0/16194.15.0.1 to 194.15.255.254194.15.255.25565,534
17194.16.0.0/16194.16.0.1 to 194.16.255.254194.16.255.25565,534
18194.17.0.0/16194.17.0.1 to 194.17.255.254194.17.255.25565,534
19194.18.0.0/16194.18.0.1 to 194.18.255.254194.18.255.25565,534
20194.19.0.0/16194.19.0.1 to 194.19.255.254194.19.255.25565,534
21194.20.0.0/16194.20.0.1 to 194.20.255.254194.20.255.25565,534
22194.21.0.0/16194.21.0.1 to 194.21.255.254194.21.255.25565,534
23194.22.0.0/16194.22.0.1 to 194.22.255.254194.22.255.25565,534
24194.23.0.0/16194.23.0.1 to 194.23.255.254194.23.255.25565,534
25194.24.0.0/16194.24.0.1 to 194.24.255.254194.24.255.25565,534
26194.25.0.0/16194.25.0.1 to 194.25.255.254194.25.255.25565,534
27194.26.0.0/16194.26.0.1 to 194.26.255.254194.26.255.25565,534
28194.27.0.0/16194.27.0.1 to 194.27.255.254194.27.255.25565,534
29194.28.0.0/16194.28.0.1 to 194.28.255.254194.28.255.25565,534
30194.29.0.0/16194.29.0.1 to 194.29.255.254194.29.255.25565,534
31194.30.0.0/16194.30.0.1 to 194.30.255.254194.30.255.25565,534
32194.31.0.0/16194.31.0.1 to 194.31.255.254194.31.255.25565,534
33194.32.0.0/16194.32.0.1 to 194.32.255.254194.32.255.25565,534
34194.33.0.0/16194.33.0.1 to 194.33.255.254194.33.255.25565,534
35194.34.0.0/16194.34.0.1 to 194.34.255.254194.34.255.25565,534
36194.35.0.0/16194.35.0.1 to 194.35.255.254194.35.255.25565,534
37194.36.0.0/16194.36.0.1 to 194.36.255.254194.36.255.25565,534
38194.37.0.0/16194.37.0.1 to 194.37.255.254194.37.255.25565,534
39194.38.0.0/16194.38.0.1 to 194.38.255.254194.38.255.25565,534
40194.39.0.0/16194.39.0.1 to 194.39.255.254194.39.255.25565,534
41194.40.0.0/16194.40.0.1 to 194.40.255.254194.40.255.25565,534
42194.41.0.0/16194.41.0.1 to 194.41.255.254194.41.255.25565,534
43194.42.0.0/16194.42.0.1 to 194.42.255.254194.42.255.25565,534
44194.43.0.0/16194.43.0.1 to 194.43.255.254194.43.255.25565,534
45194.44.0.0/16194.44.0.1 to 194.44.255.254194.44.255.25565,534
46194.45.0.0/16194.45.0.1 to 194.45.255.254194.45.255.25565,534
47194.46.0.0/16194.46.0.1 to 194.46.255.254194.46.255.25565,534
48194.47.0.0/16194.47.0.1 to 194.47.255.254194.47.255.25565,534
49194.48.0.0/16194.48.0.1 to 194.48.255.254194.48.255.25565,534
50194.49.0.0/16194.49.0.1 to 194.49.255.254194.49.255.25565,534
51194.50.0.0/16194.50.0.1 to 194.50.255.254194.50.255.25565,534
52194.51.0.0/16194.51.0.1 to 194.51.255.254194.51.255.25565,534
53194.52.0.0/16194.52.0.1 to 194.52.255.254194.52.255.25565,534
54194.53.0.0/16194.53.0.1 to 194.53.255.254194.53.255.25565,534
55194.54.0.0/16194.54.0.1 to 194.54.255.254194.54.255.25565,534
56194.55.0.0/16194.55.0.1 to 194.55.255.254194.55.255.25565,534
57194.56.0.0/16194.56.0.1 to 194.56.255.254194.56.255.25565,534
58194.57.0.0/16194.57.0.1 to 194.57.255.254194.57.255.25565,534
59194.58.0.0/16194.58.0.1 to 194.58.255.254194.58.255.25565,534
60194.59.0.0/16194.59.0.1 to 194.59.255.254194.59.255.25565,534
61194.60.0.0/16194.60.0.1 to 194.60.255.254194.60.255.25565,534
62194.61.0.0/16194.61.0.1 to 194.61.255.254194.61.255.25565,534
63194.62.0.0/16194.62.0.1 to 194.62.255.254194.62.255.25565,534
64194.63.0.0/16194.63.0.1 to 194.63.255.254194.63.255.25565,534
65194.64.0.0/16194.64.0.1 to 194.64.255.254194.64.255.25565,534
66194.65.0.0/16194.65.0.1 to 194.65.255.254194.65.255.25565,534
67194.66.0.0/16194.66.0.1 to 194.66.255.254194.66.255.25565,534
68194.67.0.0/16194.67.0.1 to 194.67.255.254194.67.255.25565,534
69194.68.0.0/16194.68.0.1 to 194.68.255.254194.68.255.25565,534
70194.69.0.0/16194.69.0.1 to 194.69.255.254194.69.255.25565,534
71194.70.0.0/16194.70.0.1 to 194.70.255.254194.70.255.25565,534
72194.71.0.0/16194.71.0.1 to 194.71.255.254194.71.255.25565,534
73194.72.0.0/16194.72.0.1 to 194.72.255.254194.72.255.25565,534
74194.73.0.0/16194.73.0.1 to 194.73.255.254194.73.255.25565,534
75194.74.0.0/16194.74.0.1 to 194.74.255.254194.74.255.25565,534
76194.75.0.0/16194.75.0.1 to 194.75.255.254194.75.255.25565,534
77194.76.0.0/16194.76.0.1 to 194.76.255.254194.76.255.25565,534
78194.77.0.0/16194.77.0.1 to 194.77.255.254194.77.255.25565,534
79194.78.0.0/16194.78.0.1 to 194.78.255.254194.78.255.25565,534
80194.79.0.0/16194.79.0.1 to 194.79.255.254194.79.255.25565,534
81194.80.0.0/16194.80.0.1 to 194.80.255.254194.80.255.25565,534
82194.81.0.0/16194.81.0.1 to 194.81.255.254194.81.255.25565,534
83194.82.0.0/16194.82.0.1 to 194.82.255.254194.82.255.25565,534
84194.83.0.0/16194.83.0.1 to 194.83.255.254194.83.255.25565,534
85194.84.0.0/16194.84.0.1 to 194.84.255.254194.84.255.25565,534
86194.85.0.0/16194.85.0.1 to 194.85.255.254194.85.255.25565,534
87194.86.0.0/16194.86.0.1 to 194.86.255.254194.86.255.25565,534
88194.87.0.0/16194.87.0.1 to 194.87.255.254194.87.255.25565,534
89194.88.0.0/16194.88.0.1 to 194.88.255.254194.88.255.25565,534
90194.89.0.0/16194.89.0.1 to 194.89.255.254194.89.255.25565,534
91194.90.0.0/16194.90.0.1 to 194.90.255.254194.90.255.25565,534
92194.91.0.0/16194.91.0.1 to 194.91.255.254194.91.255.25565,534
93194.92.0.0/16194.92.0.1 to 194.92.255.254194.92.255.25565,534
94194.93.0.0/16194.93.0.1 to 194.93.255.254194.93.255.25565,534
95194.94.0.0/16194.94.0.1 to 194.94.255.254194.94.255.25565,534
96194.95.0.0/16194.95.0.1 to 194.95.255.254194.95.255.25565,534
97194.96.0.0/16194.96.0.1 to 194.96.255.254194.96.255.25565,534
98194.97.0.0/16194.97.0.1 to 194.97.255.254194.97.255.25565,534
99194.98.0.0/16194.98.0.1 to 194.98.255.254194.98.255.25565,534
100194.99.0.0/16194.99.0.1 to 194.99.255.254194.99.255.25565,534
101194.100.0.0/16194.100.0.1 to 194.100.255.254194.100.255.25565,534
102194.101.0.0/16194.101.0.1 to 194.101.255.254194.101.255.25565,534
103194.102.0.0/16194.102.0.1 to 194.102.255.254194.102.255.25565,534
104194.103.0.0/16194.103.0.1 to 194.103.255.254194.103.255.25565,534
105194.104.0.0/16194.104.0.1 to 194.104.255.254194.104.255.25565,534
106194.105.0.0/16194.105.0.1 to 194.105.255.254194.105.255.25565,534
107194.106.0.0/16194.106.0.1 to 194.106.255.254194.106.255.25565,534
108194.107.0.0/16194.107.0.1 to 194.107.255.254194.107.255.25565,534
109194.108.0.0/16194.108.0.1 to 194.108.255.254194.108.255.25565,534
110194.109.0.0/16194.109.0.1 to 194.109.255.254194.109.255.25565,534
111194.110.0.0/16194.110.0.1 to 194.110.255.254194.110.255.25565,534
112194.111.0.0/16194.111.0.1 to 194.111.255.254194.111.255.25565,534
113194.112.0.0/16194.112.0.1 to 194.112.255.254194.112.255.25565,534
114194.113.0.0/16194.113.0.1 to 194.113.255.254194.113.255.25565,534
115194.114.0.0/16194.114.0.1 to 194.114.255.254194.114.255.25565,534
116194.115.0.0/16194.115.0.1 to 194.115.255.254194.115.255.25565,534
117194.116.0.0/16194.116.0.1 to 194.116.255.254194.116.255.25565,534
118194.117.0.0/16194.117.0.1 to 194.117.255.254194.117.255.25565,534
119194.118.0.0/16194.118.0.1 to 194.118.255.254194.118.255.25565,534
120194.119.0.0/16194.119.0.1 to 194.119.255.254194.119.255.25565,534
121194.120.0.0/16194.120.0.1 to 194.120.255.254194.120.255.25565,534
122194.121.0.0/16194.121.0.1 to 194.121.255.254194.121.255.25565,534
123194.122.0.0/16194.122.0.1 to 194.122.255.254194.122.255.25565,534
124194.123.0.0/16194.123.0.1 to 194.123.255.254194.123.255.25565,534
125194.124.0.0/16194.124.0.1 to 194.124.255.254194.124.255.25565,534
126194.125.0.0/16194.125.0.1 to 194.125.255.254194.125.255.25565,534
127194.126.0.0/16194.126.0.1 to 194.126.255.254194.126.255.25565,534
128194.127.0.0/16194.127.0.1 to 194.127.255.254194.127.255.25565,534
129194.128.0.0/16194.128.0.1 to 194.128.255.254194.128.255.25565,534
130194.129.0.0/16194.129.0.1 to 194.129.255.254194.129.255.25565,534
131194.130.0.0/16194.130.0.1 to 194.130.255.254194.130.255.25565,534
132194.131.0.0/16194.131.0.1 to 194.131.255.254194.131.255.25565,534
133194.132.0.0/16194.132.0.1 to 194.132.255.254194.132.255.25565,534
134194.133.0.0/16194.133.0.1 to 194.133.255.254194.133.255.25565,534
135194.134.0.0/16194.134.0.1 to 194.134.255.254194.134.255.25565,534
136194.135.0.0/16194.135.0.1 to 194.135.255.254194.135.255.25565,534
137194.136.0.0/16194.136.0.1 to 194.136.255.254194.136.255.25565,534
138194.137.0.0/16194.137.0.1 to 194.137.255.254194.137.255.25565,534
139194.138.0.0/16194.138.0.1 to 194.138.255.254194.138.255.25565,534
140194.139.0.0/16194.139.0.1 to 194.139.255.254194.139.255.25565,534
141194.140.0.0/16194.140.0.1 to 194.140.255.254194.140.255.25565,534
142194.141.0.0/16194.141.0.1 to 194.141.255.254194.141.255.25565,534
143194.142.0.0/16194.142.0.1 to 194.142.255.254194.142.255.25565,534
144194.143.0.0/16194.143.0.1 to 194.143.255.254194.143.255.25565,534
145194.144.0.0/16194.144.0.1 to 194.144.255.254194.144.255.25565,534
146194.145.0.0/16194.145.0.1 to 194.145.255.254194.145.255.25565,534
147194.146.0.0/16194.146.0.1 to 194.146.255.254194.146.255.25565,534
148194.147.0.0/16194.147.0.1 to 194.147.255.254194.147.255.25565,534
149194.148.0.0/16194.148.0.1 to 194.148.255.254194.148.255.25565,534
150194.149.0.0/16194.149.0.1 to 194.149.255.254194.149.255.25565,534
151194.150.0.0/16194.150.0.1 to 194.150.255.254194.150.255.25565,534
152194.151.0.0/16194.151.0.1 to 194.151.255.254194.151.255.25565,534
153194.152.0.0/16194.152.0.1 to 194.152.255.254194.152.255.25565,534
154194.153.0.0/16194.153.0.1 to 194.153.255.254194.153.255.25565,534
155194.154.0.0/16194.154.0.1 to 194.154.255.254194.154.255.25565,534
156194.155.0.0/16194.155.0.1 to 194.155.255.254194.155.255.25565,534
157194.156.0.0/16194.156.0.1 to 194.156.255.254194.156.255.25565,534
158194.157.0.0/16194.157.0.1 to 194.157.255.254194.157.255.25565,534
159194.158.0.0/16194.158.0.1 to 194.158.255.254194.158.255.25565,534
160194.159.0.0/16194.159.0.1 to 194.159.255.254194.159.255.25565,534
161194.160.0.0/16194.160.0.1 to 194.160.255.254194.160.255.25565,534
162194.161.0.0/16194.161.0.1 to 194.161.255.254194.161.255.25565,534
163194.162.0.0/16194.162.0.1 to 194.162.255.254194.162.255.25565,534
164194.163.0.0/16194.163.0.1 to 194.163.255.254194.163.255.25565,534
165194.164.0.0/16194.164.0.1 to 194.164.255.254194.164.255.25565,534
166194.165.0.0/16194.165.0.1 to 194.165.255.254194.165.255.25565,534
167194.166.0.0/16194.166.0.1 to 194.166.255.254194.166.255.25565,534
168194.167.0.0/16194.167.0.1 to 194.167.255.254194.167.255.25565,534
169194.168.0.0/16194.168.0.1 to 194.168.255.254194.168.255.25565,534
170194.169.0.0/16194.169.0.1 to 194.169.255.254194.169.255.25565,534
171194.170.0.0/16194.170.0.1 to 194.170.255.254194.170.255.25565,534
172194.171.0.0/16194.171.0.1 to 194.171.255.254194.171.255.25565,534
173194.172.0.0/16194.172.0.1 to 194.172.255.254194.172.255.25565,534
174194.173.0.0/16194.173.0.1 to 194.173.255.254194.173.255.25565,534
175194.174.0.0/16194.174.0.1 to 194.174.255.254194.174.255.25565,534
176194.175.0.0/16194.175.0.1 to 194.175.255.254194.175.255.25565,534
177194.176.0.0/16194.176.0.1 to 194.176.255.254194.176.255.25565,534
178194.177.0.0/16194.177.0.1 to 194.177.255.254194.177.255.25565,534
179194.178.0.0/16194.178.0.1 to 194.178.255.254194.178.255.25565,534
180194.179.0.0/16194.179.0.1 to 194.179.255.254194.179.255.25565,534
181194.180.0.0/16194.180.0.1 to 194.180.255.254194.180.255.25565,534
182194.181.0.0/16194.181.0.1 to 194.181.255.254194.181.255.25565,534
183194.182.0.0/16194.182.0.1 to 194.182.255.254194.182.255.25565,534
184194.183.0.0/16194.183.0.1 to 194.183.255.254194.183.255.25565,534
185194.184.0.0/16194.184.0.1 to 194.184.255.254194.184.255.25565,534
186194.185.0.0/16194.185.0.1 to 194.185.255.254194.185.255.25565,534
187194.186.0.0/16194.186.0.1 to 194.186.255.254194.186.255.25565,534
188194.187.0.0/16194.187.0.1 to 194.187.255.254194.187.255.25565,534
189194.188.0.0/16194.188.0.1 to 194.188.255.254194.188.255.25565,534
190194.189.0.0/16194.189.0.1 to 194.189.255.254194.189.255.25565,534
191194.190.0.0/16194.190.0.1 to 194.190.255.254194.190.255.25565,534
192194.191.0.0/16194.191.0.1 to 194.191.255.254194.191.255.25565,534
193194.192.0.0/16194.192.0.1 to 194.192.255.254194.192.255.25565,534
194194.193.0.0/16194.193.0.1 to 194.193.255.254194.193.255.25565,534
195194.194.0.0/16194.194.0.1 to 194.194.255.254194.194.255.25565,534
196194.195.0.0/16194.195.0.1 to 194.195.255.254194.195.255.25565,534
197194.196.0.0/16194.196.0.1 to 194.196.255.254194.196.255.25565,534
198194.197.0.0/16194.197.0.1 to 194.197.255.254194.197.255.25565,534
199194.198.0.0/16194.198.0.1 to 194.198.255.254194.198.255.25565,534
200194.199.0.0/16194.199.0.1 to 194.199.255.254194.199.255.25565,534
201194.200.0.0/16194.200.0.1 to 194.200.255.254194.200.255.25565,534
202194.201.0.0/16194.201.0.1 to 194.201.255.254194.201.255.25565,534
203194.202.0.0/16194.202.0.1 to 194.202.255.254194.202.255.25565,534
204194.203.0.0/16194.203.0.1 to 194.203.255.254194.203.255.25565,534
205194.204.0.0/16194.204.0.1 to 194.204.255.254194.204.255.25565,534
206194.205.0.0/16194.205.0.1 to 194.205.255.254194.205.255.25565,534
207194.206.0.0/16194.206.0.1 to 194.206.255.254194.206.255.25565,534
208194.207.0.0/16194.207.0.1 to 194.207.255.254194.207.255.25565,534
209194.208.0.0/16194.208.0.1 to 194.208.255.254194.208.255.25565,534
210194.209.0.0/16194.209.0.1 to 194.209.255.254194.209.255.25565,534
211194.210.0.0/16194.210.0.1 to 194.210.255.254194.210.255.25565,534
212194.211.0.0/16194.211.0.1 to 194.211.255.254194.211.255.25565,534
213194.212.0.0/16194.212.0.1 to 194.212.255.254194.212.255.25565,534
214194.213.0.0/16194.213.0.1 to 194.213.255.254194.213.255.25565,534
215194.214.0.0/16194.214.0.1 to 194.214.255.254194.214.255.25565,534
216194.215.0.0/16194.215.0.1 to 194.215.255.254194.215.255.25565,534
217194.216.0.0/16194.216.0.1 to 194.216.255.254194.216.255.25565,534
218194.217.0.0/16194.217.0.1 to 194.217.255.254194.217.255.25565,534
219194.218.0.0/16194.218.0.1 to 194.218.255.254194.218.255.25565,534
220194.219.0.0/16194.219.0.1 to 194.219.255.254194.219.255.25565,534
221194.220.0.0/16194.220.0.1 to 194.220.255.254194.220.255.25565,534
222194.221.0.0/16194.221.0.1 to 194.221.255.254194.221.255.25565,534
223194.222.0.0/16194.222.0.1 to 194.222.255.254194.222.255.25565,534
224194.223.0.0/16194.223.0.1 to 194.223.255.254194.223.255.25565,534
225194.224.0.0/16194.224.0.1 to 194.224.255.254194.224.255.25565,534
226194.225.0.0/16194.225.0.1 to 194.225.255.254194.225.255.25565,534
227194.226.0.0/16194.226.0.1 to 194.226.255.254194.226.255.25565,534
228194.227.0.0/16194.227.0.1 to 194.227.255.254194.227.255.25565,534
229194.228.0.0/16194.228.0.1 to 194.228.255.254194.228.255.25565,534
230194.229.0.0/16194.229.0.1 to 194.229.255.254194.229.255.25565,534
231194.230.0.0/16194.230.0.1 to 194.230.255.254194.230.255.25565,534
232194.231.0.0/16194.231.0.1 to 194.231.255.254194.231.255.25565,534
233194.232.0.0/16194.232.0.1 to 194.232.255.254194.232.255.25565,534
234194.233.0.0/16194.233.0.1 to 194.233.255.254194.233.255.25565,534
235194.234.0.0/16194.234.0.1 to 194.234.255.254194.234.255.25565,534
236194.235.0.0/16194.235.0.1 to 194.235.255.254194.235.255.25565,534
237194.236.0.0/16194.236.0.1 to 194.236.255.254194.236.255.25565,534
238194.237.0.0/16194.237.0.1 to 194.237.255.254194.237.255.25565,534
239194.238.0.0/16194.238.0.1 to 194.238.255.254194.238.255.25565,534
240194.239.0.0/16194.239.0.1 to 194.239.255.254194.239.255.25565,534
241194.240.0.0/16194.240.0.1 to 194.240.255.254194.240.255.25565,534
242194.241.0.0/16194.241.0.1 to 194.241.255.254194.241.255.25565,534
243194.242.0.0/16194.242.0.1 to 194.242.255.254194.242.255.25565,534
244194.243.0.0/16194.243.0.1 to 194.243.255.254194.243.255.25565,534
245194.244.0.0/16194.244.0.1 to 194.244.255.254194.244.255.25565,534
246194.245.0.0/16194.245.0.1 to 194.245.255.254194.245.255.25565,534
247194.246.0.0/16194.246.0.1 to 194.246.255.254194.246.255.25565,534
248194.247.0.0/16194.247.0.1 to 194.247.255.254194.247.255.25565,534
249194.248.0.0/16194.248.0.1 to 194.248.255.254194.248.255.25565,534
250194.249.0.0/16194.249.0.1 to 194.249.255.254194.249.255.25565,534
251194.250.0.0/16194.250.0.1 to 194.250.255.254194.250.255.25565,534
252194.251.0.0/16194.251.0.1 to 194.251.255.254194.251.255.25565,534
253194.252.0.0/16194.252.0.1 to 194.252.255.254194.252.255.25565,534
254194.253.0.0/16194.253.0.1 to 194.253.255.254194.253.255.25565,534
255194.254.0.0/16194.254.0.1 to 194.254.255.254194.254.255.25565,534
256194.255.0.0/16194.255.0.1 to 194.255.255.254194.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses